Package ru.bitel.bgbilling.modules.voice.common.bean

# Class VoiceCostMapItem

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.oss.kernel.entity.common.bean.AbstractEntity
ru.bitel.oss.kernel.entity.common.bean.Entity
ru.bitel.common.model.AbstractTreeNode<VoiceCostMapItem>
ru.bitel.bgbilling.modules.voice.common.bean.VoiceBaseCodeBean<VoiceCostMapItem>
ru.bitel.bgbilling.modules.voice.common.bean.VoiceCostMapItem

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `GuiTitlable`, `Idable`, `ListItem`, `Node<VoiceCostMapItem>`, `TreeNode<VoiceCostMapItem>`

public class VoiceCostMapItem extends VoiceBaseCodeBean<VoiceCostMapItem>
Отдельный элемент карты цен, содержащий в себе географический код, цену и период действия.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `VoiceCostMapItem.Builder`

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.IdTitleBuilder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.AbstractTreeNode

  `children, parentId`

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VoiceCostMapItem()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static VoiceCostMapItem.Builder`
  `builder()`
  `VoiceCostMapItem`
  `copy()`
  `int`
  `getCodeId()`
  `String`
  `getComment()`
  Получение комментария для элемента карты цен.
  `int`
  `getCostMapId()`
  Получение кода карты цен, к которой привязан элемент.
  `BigDecimal`
  `getItemCost()`
  Получение цены для данного элемента.
  `VoiceCostMapItem`
  `setCodeId(int codeId)`
  `VoiceCostMapItem`
  `setComment(String comment)`
  Получение комментария для элемента карты цен.
  `VoiceCostMapItem`
  `setCostMapId(int costMapId)`
  Установка кода карты цен.
  `VoiceCostMapItem`
  `setItemCost(BigDecimal itemCost)`
  Установка цены для элемента карты цен.
  `int`
  `sizeLeaf()`
  `String`
  `toString()`

  ### Methods inherited from class ru.bitel.bgbilling.modules.voice.common.bean.VoiceBaseCodeBean

  `clone, getCode, getDateFrom, getDateTo, getDestinationId, getDestinationTitle, getLevel, setCode, setDateFrom, setDateTo, setDestinationId, setDestinationTitle, setLevel`

  ### Methods inherited from class ru.bitel.common.model.AbstractTreeNode

  `getChildren, getParentId, setChildren, setParentId, toList`

  ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.Entity

  `copyTo, getEntityId, setEntityId`

  ### Methods inherited from class ru.bitel.oss.kernel.entity.common.bean.AbstractEntity

  `copyTo, getEntityAttributes, getEntitySpecId, setEntityAttributes, setEntitySpecId`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setId, setTitle, to, toIdTitle`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### VoiceCostMapItem

    public VoiceCostMapItem()

- ## Method Details

  - ### getCostMapId

    public int getCostMapId()
    Получение кода карты цен, к которой привязан элемент.
    Returns:
      код родительской карты цен.

  - ### setCostMapId

    public VoiceCostMapItem setCostMapId(int costMapId)
    Установка кода карты цен.
    Parameters:
      `costMapId` - код карты цен, к которой привязан данный элемент.

  - ### getItemCost

    public BigDecimal getItemCost()
    Получение цены для данного элемента.
    Returns:
      цена элемента карты цен.

  - ### setItemCost

    public VoiceCostMapItem setItemCost(BigDecimal itemCost)
    Установка цены для элемента карты цен.
    Parameters:
      `itemCost` - цена.

  - ### getComment

    public String getComment()
    Получение комментария для элемента карты цен.
    Returns:
      комментарий.

  - ### setComment

    public VoiceCostMapItem setComment(String comment)
    Получение комментария для элемента карты цен.
    Parameters:
      `comment` - комментарий.

  - ### getCodeId

    public int getCodeId()

  - ### setCodeId

    public VoiceCostMapItem setCodeId(int codeId)

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `IdTitle`

  - ### sizeLeaf

    public int sizeLeaf()

  - ### copy

    public VoiceCostMapItem copy()

  - ### builder

    public static VoiceCostMapItem.Builder builder()